| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Macros | Functions | Variables
FXLS8471_1 module documentation

## Macros
#define | FSL_SENSOR_SPI_CMD_LENG 0x2
#define | FXLS8471_1_DATA_TYPE fxls8471_DataBuffer_t

## Functions
isf_status_t | fsl_veryon_spi_slave_init (void)
isf_status_t | fsl_veryon_spi_slave_write_preprocess (void *pCmdOut, uint32 offset, uint32 size, void *pWritebuffer)
isf_status_t | fsl_veryon_spi_slave_write_postprocess (void *pCmdOut)
isf_status_t | fsl_veryon_spi_slave_read_preprocess (void *pCmdOut, uint32 offset, uint32 size)
isf_status_t | fsl_veryon_spi_slave_read_postprocess (void *pCmdOut, void *pDataOut)

## Variables
fxls8471_Sensor_Specific_Settings_t | FXLS8471_1_Sensor_Specific_Config
| This allows access to the sensor specific configuration for the target sensor. More...
const isf_dsa_Adapter_t | FXLS8471_1_Adapter
| This creates the sensor adapter instance for the target sensor. More...
spi_master_slaveInfo_t | fsl_spi_sensor_type
const spi_master_CommSpecificInfo_t | FXLS8471_1_DeviceInfo
| This allows access to the sensor communications specific configuration. More...
fxls8471_Sensor_Specific_Settings_t | FXLS8471_1_Sensor_Specific_Config
| This allows access to the sensor specific configuration for the target sensor. More...
const isf_dsa_Adapter_t | FXLS8471_1_Adapter
| This allows access to the sensor adapter instance for the target sensor. More...
const spi_master_CommSpecificInfo_t | FXLS8471_1_DeviceInfo
| This allows access to the sensor communications specific configuration. More...

## Detailed Description

## Macro Definition Documentation

#define FSL_SENSOR_SPI_CMD_LENG 0x2

Definition at line 126 of file FXLS8471_1.c.

Referenced by fsl_veryon_spi_slave_read_postprocess(), fsl_veryon_spi_slave_read_preprocess(), and fsl_veryon_spi_slave_write_preprocess().

#define FXLS8471_1_DATA_TYPE fxls8471_DataBuffer_t

Definition at line 57 of file FXLS8471_1.h.

## Function Documentation

isf_status_t fsl_veryon_spi_slave_init | ( | void |  | ) |

Definition at line 154 of file FXLS8471_1.c.

References ISF_SUCCESS.

isf_status_t fsl_veryon_spi_slave_read_postprocess | ( | void * | pCmdOut,
|  | void * | pDataOut
| ) |  |

Definition at line 211 of file FXLS8471_1.c.

References FSL_SENSOR_SPI_CMD_LENG, ISF_MEM_CPY, ISF_SUCCESS, spi_mater_SlaveCmd::pReadBuffer, and spi_mater_SlaveCmd::size.

isf_status_t fsl_veryon_spi_slave_read_preprocess | ( | void * | pCmdOut,
|  | uint32 | offset,
|  | uint32 | size
| ) |  |

Definition at line 191 of file FXLS8471_1.c.

References FSL_SENSOR_SPI_CMD_LENG, ISF_SUCCESS, spi_mater_SlaveCmd::pReadBuffer, spi_mater_SlaveCmd::pWriteBuffer, and spi_mater_SlaveCmd::size.

isf_status_t fsl_veryon_spi_slave_write_postprocess | ( | void * | pCmdOut | ) |

Definition at line 182 of file FXLS8471_1.c.

References ISF_SUCCESS.

isf_status_t fsl_veryon_spi_slave_write_preprocess | ( | void * | pCmdOut,
|  | uint32 | offset,
|  | uint32 | size,
|  | void * | pWritebuffer
| ) |  |

Definition at line 161 of file FXLS8471_1.c.

References FSL_SENSOR_SPI_CMD_LENG, ISF_MEM_CPY, ISF_SUCCESS, spi_mater_SlaveCmd::pReadBuffer, spi_mater_SlaveCmd::pWriteBuffer, and spi_mater_SlaveCmd::size.

## Variable Documentation

spi_master_slaveInfo_t fsl_spi_sensor_type

Initial value:
= {
.slaveinit = (fnslaveinit_t)&fsl_veryon_spi_slave_init,
.writepreProcess = (fnwritepreProcessing_t)fsl_veryon_spi_slave_write_preprocess,
.writepostProcess = (fnwritepostProcossing_t)fsl_veryon_spi_slave_write_postprocess,
.readpreProcess = (fnreadpreProcessing_t)fsl_veryon_spi_slave_read_preprocess,
.readpostProcess = (fnreadpostProcossing_t)fsl_veryon_spi_slave_read_postprocess
}
fnreadpostProcossing_t
isf_status_t(* fnreadpostProcossing_t)(void *cmd, void *dataOut)
Definition: isf_spi_master_types.h:43
fnwritepreProcessing_t
isf_status_t(* fnwritepreProcessing_t)(void *cmdOut, uint32 offset, uint32 size, void *writebuffer)
Definition: isf_spi_master_types.h:40
fsl_veryon_spi_slave_write_postprocess
isf_status_t fsl_veryon_spi_slave_write_postprocess(void *pCmdOut)
Definition: FXLS8471_1.c:182
fnwritepostProcossing_t
isf_status_t(* fnwritepostProcossing_t)(void *cmd)
Definition: isf_spi_master_types.h:41
fsl_veryon_spi_slave_read_preprocess
isf_status_t fsl_veryon_spi_slave_read_preprocess(void *pCmdOut, uint32 offset, uint32 size)
Definition: FXLS8471_1.c:191
fnslaveinit_t
isf_status_t(* fnslaveinit_t)(void)
Definition: isf_spi_master_types.h:39
fsl_veryon_spi_slave_read_postprocess
isf_status_t fsl_veryon_spi_slave_read_postprocess(void *pCmdOut, void *pDataOut)
Definition: FXLS8471_1.c:211
fnreadpreProcessing_t
isf_status_t(* fnreadpreProcessing_t)(void *cmdout, uint32 offset, uint32 size)
Definition: isf_spi_master_types.h:42
fsl_veryon_spi_slave_write_preprocess
isf_status_t fsl_veryon_spi_slave_write_preprocess(void *pCmdOut, uint32 offset, uint32 size, void *pWritebuffer)
Definition: FXLS8471_1.c:161
fsl_veryon_spi_slave_init
isf_status_t fsl_veryon_spi_slave_init(void)
Definition: FXLS8471_1.c:154

Definition at line 127 of file FXLS8471_1.c.

const isf_dsa_Adapter_t FXLS8471_1_Adapter

This allows access to the sensor adapter instance for the target sensor.

This allows access to the sensor adapter instance for the target sensor.

Definition at line 111 of file FXLS8471_1.c.

const isf_dsa_Adapter_t FXLS8471_1_Adapter

Initial value:
=
{
.devInfo.pSupportedSensorTypes = fxls8471_SupportedSensorTypes,
.devInfo.pSupportedSensorDataTypes = fxls8471_SupportedDataTypes,
.devInfo.nNativeDataSetSize = sizeof(fxls8471_DataBuffer_t),
.control.Initialize = &fsl_fxls8471_i2cspi_3D_accel_Initialize,
.control.ValidateSettings = &fsl_fxls8471_i2cspi_3D_accel_ValidateSettings,
.control.Configure = &fsl_fxls8471_i2cspi_3D_accel_Configure,
.control.StartData = &fsl_fxls8471_i2cspi_3D_accel_StartData,
.control.EndData = &fsl_fxls8471_i2cspi_3D_accel_EndData,
.control.Calibrate = &fsl_fxls8471_i2cspi_3D_accel_Calibrate,
.control.Shutdown = &fsl_fxls8471_i2cspi_3D_accel_Shutdown,
.control.Convert = &fsl_fxls8471_i2cspi_3D_accel_Convert
}
fsl_fxls8471_i2cspi_3D_accel_EndData
isf_dsa_status_t fsl_fxls8471_i2cspi_3D_accel_EndData(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_fxls8471_i2cspi_3D_accel.c:385
fsl_fxls8471_i2cspi_3D_accel_Shutdown
isf_dsa_status_t fsl_fxls8471_i2cspi_3D_accel_Shutdown(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_fxls8471_i2cspi_3D_accel.c:469
fsl_fxls8471_i2cspi_3D_accel_Convert
isf_dsa_status_t fsl_fxls8471_i2cspi_3D_accel_Convert(volatile isf_SensorHandle_t *pSensorHandle, isf_SensorDataTypes_t convertToType, isf_dsa_result_types_t resultType, void *pNativeSample, void *pConvertedSample, int32 *numBytes)
This function coverts the raw sample data to the desired output type.
Definition: fsl_fxls8471_i2cspi_3D_accel.c:592
fsl_fxls8471_i2cspi_3D_accel_Configure
isf_dsa_status_t fsl_fxls8471_i2cspi_3D_accel_Configure(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
Definition: fsl_fxls8471_i2cspi_3D_accel.c:236
fxls8471_SupportedSensorTypes
isf_SensorTypes_t fxls8471_SupportedSensorTypes[]
Supported sensor and data types for FXLS8471.
Definition: fsl_fxls8471_i2cspi_3D_accel.c:66
fsl_fxls8471_i2cspi_3D_accel_Calibrate
isf_dsa_status_t fsl_fxls8471_i2cspi_3D_accel_Calibrate(isf_SensorHandle_t *pSensorHandle, void *pCalData)
Definition: fsl_fxls8471_i2cspi_3D_accel.c:449
fxls8471_SupportedDataTypes
isf_SensorDataTypes_t fxls8471_SupportedDataTypes[]
Definition: fsl_fxls8471_i2cspi_3D_accel.c:67
fsl_fxls8471_i2cspi_3D_accel_ValidateSettings
isf_dsa_status_t fsl_fxls8471_i2cspi_3D_accel_ValidateSettings(isf_SensorHandle_t *pSensorHandle, isf_dsa_SensorSettings_t *pSensorSettings)
Definition: fsl_fxls8471_i2cspi_3D_accel.c:207
fsl_fxls8471_i2cspi_3D_accel_StartData
isf_dsa_status_t fsl_fxls8471_i2cspi_3D_accel_StartData(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_fxls8471_i2cspi_3D_accel.c:325
fxls8471_DataBuffer_t
This structure defines the dummy DSA data buffer format.
Definition: fsl_fxls8471_i2cspi_3D_accel.h:52
fsl_fxls8471_i2cspi_3D_accel_Initialize
isf_dsa_status_t fsl_fxls8471_i2cspi_3D_accel_Initialize(isf_SensorHandle_t *pSensorHandle)
Definition: fsl_fxls8471_i2cspi_3D_accel.c:100

This creates the sensor adapter instance for the target sensor.

This allows access to the sensor adapter instance for the target sensor.

Definition at line 111 of file FXLS8471_1.c.

const spi_master_CommSpecificInfo_t FXLS8471_1_DeviceInfo

This allows access to the sensor communications specific configuration.

Definition at line 136 of file FXLS8471_1.c.

const spi_master_CommSpecificInfo_t FXLS8471_1_DeviceInfo

Initial value:
=
{
.busConfig =
{
.timeout = 0x5000,
.config.busFrequencyKHz = 300,
.config.polarity = kSpiClockPolarity_ActiveHigh,
.config.phase = kSpiClockPhase_FirstEdge,
.config.direction = kSpiMsbFirst
},
.pSlaveInfo = &fsl_spi_sensor_type
}
fsl_spi_sensor_type
spi_master_slaveInfo_t fsl_spi_sensor_type
Definition: FXLS8471_1.c:127
kSpiClockPhase_FirstEdge
Definition: fsl_spi_hal.h:57
kSpiClockPolarity_ActiveHigh
Definition: fsl_spi_hal.h:51
kSpiMsbFirst
Definition: fsl_spi_hal.h:63

This allows access to the sensor communications specific configuration.

Definition at line 136 of file FXLS8471_1.c.

fxls8471_Sensor_Specific_Settings_t FXLS8471_1_Sensor_Specific_Config

This allows access to the sensor specific configuration for the target sensor.

Definition at line 48 of file FXLS8471_1.c.

fxls8471_Sensor_Specific_Settings_t FXLS8471_1_Sensor_Specific_Config

This allows access to the sensor specific configuration for the target sensor.

Definition at line 48 of file FXLS8471_1.c.

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.